eth_blockNumber-polygon

Returns current block height in a hexadecimal number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameter

  • No parameters are needed.
curl https://polygon-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_blockNumber",
  "params": []
}'

Returns

  • QUANTITY - Hex encoded integer of the current block number the client is on.
{"jsonrpc":"2.0","id":1,"result":"0x2b9ad78"}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to net_version
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!